Loading...
Searching...
No Matches
casacore::NearAbs< L, R > Struct Template Reference

Functor to test for if two values are absolutely near each other. More...

`#include <Functors.h>`

## Public Member Functions

| NearAbs (double tolerance=1e-13)
bool | operator() (L left, R right) const

## Private Attributes

double | itsTolerance

## Detailed Description

template<typename L, typename R = L>
struct casacore::NearAbs< L, R >

Functor to test for if two values are absolutely near each other.

Definition at line 306 of file Functors.h.

## Constructor & Destructor Documentation

## NearAbs()

template<typename L, typename R = L>

casacore::NearAbs< L, R >::NearAbs | ( | double | tolerance = 1e-13 | ) |

inline explicit

Definition at line 308 of file Functors.h.

References itsTolerance.

## Member Function Documentation

## operator()()

template<typename L, typename R = L>

bool casacore::NearAbs< L, R >::operator() | ( | L | left,
|  | R | right ) const

inline

Definition at line 311 of file Functors.h.

References itsTolerance, and casacore::nearAbs().

## Member Data Documentation

## itsTolerance

template<typename L, typename R = L>

double casacore::NearAbs< L, R >::itsTolerance

private

Definition at line 314 of file Functors.h.

Referenced by NearAbs(), and operator()().

The documentation for this struct was generated from the following file:

- casa/BasicMath/Functors.h